/*
 * mainform.c
 *
 * Manage the main form
 *
 * Copyright (C) 2004 Daniel Thompson <d.thompson@gmx.net> 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include "rftidy.h"

static void MainFormInit(FormPtr form)
{	/* nothing to do */
}

static void MainFormDestroy(FormPtr form)
{
	/* nothing to do */
}

Boolean MainFormHandleEvent(EventPtr event)
{
	Boolean eventHandled = true;
	FormPtr form;	

	form = FrmGetActiveForm();
	
	switch (event->eType) {
	case frmOpenEvent:
		MainFormInit(form);
		/*FALLTHRU*/
	case frmUpdateEvent:
		FrmDrawForm(form);
		/* draw any gadgets here */
		break;
	case frmCloseEvent:
		MainFormDestroy(form);
		/* do *not* 'handle' the event - it will suppress tidying up */
		eventHandled = false;
		break;
	case ctlSelectEvent:
		switch (event->data.ctlSelect.controlID) {			
		case kButtonTidyAddressBook:
			ProgressFormDoDialog(progressFormTidyAddressBook);
			break;
		case kButtonTidyDateBook:
			ProgressFormDoDialog(progressFormTidyDateBook);
			break;
		default:
			ErrNonFatalDisplay("Invalid control select event");
		}
		break;
	case menuEvent:
		/* handle form specific menu events */
		switch (event->data.menu.itemID) {
		case kMenuItemToDoList:
			ProgressFormDoDialog(progressFormTidyToDoList);
			break;
		default:
			eventHandled = false;
		}
		break;
	default:
		eventHandled = false;
		break;
	}

	return eventHandled;
}
