/*
 * rfbackup.h
 *
 * Master header file for the red feline backup application
 *
 * Copyright (C) 2004 Daniel Thompson <d.thompson@gmx.net> 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef rfbackup_h
#define rfbackup_h

#ifndef ALLOW_ACCESS_TO_INTERNALS_OF_STRUCTS
#define DO_NOT_ALLOW_ACCESS_TO_INTERNALS_OF_STRUCTS
#endif

#ifdef DEBUG_BUILD
#define ERROR_CHECK_LEVEL ERROR_CHECK_FULL
#else
#define ERROR_CHECK_LEVEL ERROR_CHECK_PARTIAL
#endif

#include <BuildDefines.h>
#include <PalmOS.h>
#include <PalmCompatibility.h>
#include <VFSMgr.h>

#define CREATOR_CODE 'rFtY'
#define TYPE_CODE    'rFtY'

#include "rsrc.h"

/* app.c */
Boolean AppHandleEventsUntil(eventsEnum eType);

/* backup.c */
typedef void BakCallback(const Char *subTitle, const Char *dbName, UInt16 x, UInt16 max);
Err TdyDatabase(const char *dbName, const UInt16 str, BakCallback *cb);

/* mainform.c */
Boolean MainFormHandleEvent(EventPtr event);

/* progressform.c */
enum {
	progressFormTidyAddressBook,
	progressFormTidyDateBook,
	progressFormTidyToDoList
};
void ProgressFormDoDialog(UInt16 mode);
Boolean ProgressFormHandleEvent(EventPtr event);

#endif /* rfbackup_h */
